%define _buildid .12

%bcond_without pycompat # with

%global python_sitearch %{sys_python_sitearch}
%global __python %{__sys_python}

%if %{with pycompat}
# For legacy python2.6 modules
%global compat_python_pkg python26
%global __compat_python %{__python26}
%global compat_python_sitearch %{python26_sitearch}
%global py26nvr python26-yum-metadata-parser-%{version}-%{release}
%global py26builddir %{_builddir}/%{py26nvr}
%endif

# Conflict with dependent packages built for an older python
%global last_py26_createrepo 0.10-1.5.amzn1
%global last_py26_yum 3.4.3-137.51.amzn1


Summary: A fast metadata parser for yum
Name: yum-metadata-parser
Version: 1.1.4
Release: 8%{?_buildid}%{?dist}
Source0: http://linux.duke.edu/projects/yum/download/%{name}/%{name}-%{version}.tar.gz
Patch0: BZ-612409-handle-2GB-rpms.patch
License: GPLv2
Group: Development/Libraries
URL: http://linux.duke.edu/projects/yum/
Provides: %{name}(%sys_python_pkg) = %{version}-%{release}
Conflicts: createrepo <= %{last_py26_createrepo}
Conflicts: yum <= %{last_py26_yum}
BuildRequires: system-python-devel
BuildRequires: glib2-devel
BuildRequires: libxml2-devel
BuildRequires: sqlite-devel
BuildRequires: pkgconfig
Requires: glib2 >= 2.15
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Fast metadata parser for yum implemented in C.

%if %{with pycompat}
%package -n yum-metadata-parser-%{compat_python_pkg}
Summary: A fast metadata parser for yum
BuildRequires: %{compat_python_pkg}-devel
Requires: glib2 >= 2.15
Requires: %{name} = %{version}-%{release}
Provides: %{name}(%{compat_python_pkg}) = %{version}-%{release}

%description -n yum-metadata-parser-%{compat_python_pkg}
Fast metadata parser for yum implemented in C.

This package is meant to be used with Python 2.6.
%endif

%prep
%setup -q
%patch0 -p1

%build
%if %{with pycompat}
rm -rf %{py26builddir}
mkdir -p %{py26builddir}
cp -a * %{py26builddir}
pushd %{py26builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__compat_python} setup.py build 
popd
%endif

CFLAGS="$RPM_OPT_FLAGS" %{__sys_python} setup.py build 

%install
%{__rm} -rf %{buildroot}

%if %{with pycompat}
pushd %{py26builddir}
%{__compat_python} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd
%endif

%{__python} setup.py install -O1 --root=%{buildroot} --install-layout=amzn

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README AUTHORS ChangeLog
%{python_sitearch}/_sqlitecache.so
%{python_sitearch}/sqlitecachec.py
%{python_sitearch}/sqlitecachec.pyc
%{python_sitearch}/sqlitecachec.pyo
%{python_sitearch}/*egg-info

%if %{with pycompat}
%files -n yum-metadata-parser-%{compat_python_pkg}
%defattr(-,root,root,-)
%doc README AUTHORS ChangeLog
%{compat_python_sitearch}/_sqlitecache.so
%{compat_python_sitearch}/sqlitecachec.py
%{compat_python_sitearch}/sqlitecachec.pyc
%{compat_python_sitearch}/sqlitecachec.pyo
%{compat_python_sitearch}/*egg-info
%endif

%changelog
* Tue Mar 24 2015 Jason Green <jasg@amazon.com>
- Build for multiple pythons

* Wed Mar 4 2015 Rodrigo Novo <rodarvus@amazon.de>
- Use amzn_system install_layout to build this package

* Thu Feb 19 2015 Ben Cressey <bcressey@amazon.com>
- conflict with dependent packages built for an older python

* Sun Jan 25 2015 Ben Cressey <bcressey@amazon.com>
- build with system python

* Tue Sep 24 2013 Cristian Gafton <gafton@amazon.com>
- import source package F19/yum-metadata-parser-1.1.4-8.fc19
- import source package F18/yum-metadata-parser-1.1.4-7.fc18
- import source package F17/yum-metadata-parser-1.1.4-6.fc17
- import source package F16/yum-metadata-parser-1.1.4-5.fc16
- import source package F15/yum-metadata-parser-1.1.4-4.fc15
- import source package F14/yum-metadata-parser-1.1.4-2.fc14
- import source package F14/yum-metadata-parser-1.1.4-1.fc13

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun May 22 2011 Cristian Gafton <gafton@amazon.com>
- import source package RHEL6/yum-metadata-parser-1.1.2-16.el6

* Thu Feb 24 2011 James Antill <james at fedoraproject.org> 1.1.4-5
- Really handle rpms that are over 2GB, in the .xml to .sqlite conversion.
- Resolves: bz#612409

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Sep 10 2010 James Antill <james at fedoraproject.org> 1.1.4-3
- Handle rpms that are over 2GB, in the .xml to .sqlite conversion.
- Resolves: bz#612409

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul 9 2010 Cristian Gafton <gafton@amazon.com>
- import source package RHEL6/yum-metadata-parser-1.1.2-14.1.el6

* Fri May 7 2010 Cristian Gafton <gafton@amazon.com>
- import source package RHEL5/yum-metadata-parser-1.1.2-3.el5
- import source package RHEL5/yum-metadata-parser-1.1.2-2.el5
- import source package RHEL5/yum-metadata-parser-1.0-8.fc6
- added submodule prep for package yum-metadata-parser

* Thu Jan  7 2010 Seth Vidal <skvidal at fedoraproject.org> - 1.1.4-1
- update to upstream 1.1.4 - which is really just all of these patches rolled into a release

* Tue Aug 18 2009 Seth Vidal <skvidal at fedoraproject.org> - 1.1.2-14
- apply latest patches from upstream - consolidate into one big patch
- test before a 1.1.3 from upstream

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 1.1.2-11
- Rebuild for Python 2.6

* Tue Oct 14 2008 James Antill <james at fedoraproject.org> 1.1.2-10
- Add delay indexes and no updates patches from upstream.
- Resolves: bug 465898

* Thu Feb 14 2008 Seth Vidal <skvidal at fedoraproject.org> 1.1.2-8
- bump for gcc

* Fri Jan 25 2008 Seth Vidal <skvidal at fedoraproject.org> 1.1.2-7
- apply exclusive lock patch

* Thu Jan 24 2008 Seth Vidal <skvidal at fedoraproject.org> 1.1.2-6
- add explicit dep on glib2 > 2.15

* Tue Jan 22 2008 Seth Vidal <skvidal at fedoraproject.org> 1.1.2-5
- rebuild

* Tue Jan 08 2008 James Bowes <jbowes@redhat.com> 1.1.2-4
- egg-info is under the arch specific dir

* Tue Jan 08 2008 James Bowes <jbowes@redhat.com> 1.1.2-3
- Include the egg-info dir.

* Tue Nov 27 2007 Paul Nasrat <pauln at truemesh.com> 1.1.2-2
- Fix segmentation fault with no pkgId

* Fri Aug 24 2007 Seth Vidal <skvidal at fedoraproject.org> 1.1.2-1
- 1.1.2-1
- hopefully fixes the mash issues

* Tue Jul 10 2007 James Bowes <jbowes@redhat.com>
- Use the 4 argument form of defattr

* Mon Jul  9 2007 Jeremy Katz <katzj@redhat.com> 
- conflict with yum < 3.2.0 (#247451)

* Tue May 15 2007 Jeremy Katz <katzj@redhat.com> - 1.1.0-2
- export dbversion so that things like createrepo can discover it (#239938)

* Fri Apr 27 2007 Jeremy Katz <katzj@redhat.com> - 1.1.0-1
- update to 1.1.0 for new sqlite db schema

* Wed Apr  4 2007 Jeremy Katz <katzj@redhat.com> - 1.0.4-1
- update to 1.0.4

* Tue Feb 13 2007 James Bowes <jbowes@redhat.com> - 1.0.3-2
- Spec file updates from the merge review: clean the buildroot.

* Mon Jan  8 2007 Jeremy Katz <katzj@redhat.com> - 1.0.3-1
- update to 1.0.3

* Wed Dec  6 2006 Jeremy Katz <katzj@redhat.com> - 1.0-9
- rebuild for python 2.5, support new sqlite

* Wed Sep 27 2006 Jeremy Katz <katzj@redhat.com> - 1.0-8
- fix dep loop

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> 
- rebuild

* Thu Jun 15 2006 Paul Nasrat <pnasrat@redhat.com> - 1.0-7
- add patch to correct population of packages.location_base

* Wed Jun 14 2006 Paul Nasrat <pnasrat@redhat.com> - 1.0-6
- add patch to correct table order of primary:files

* Tue Jun 13 2006 Jeremy Katz <katzj@redhat.com> - 1.0-5
- add patch to be quieter so that we don't break tree composes

* Mon Jun 12 2006 Jeremy Katz <katzj@redhat.com> - 1.0-4
- urls, build into fedora

* Mon Jun 05 2006 Tambet Ingo <tambet@ximian.com> - 1.0-3
- Require yum >= 2.6.2

* Sat Jun 04 2006 Terje Rosten <terje.rosten@pvv.org> - 1.0-2
- add buildrequires
- doc files
- url

* Fri Jun 02 2006 Terje Rosten <terje.rosten@pvv.org> - 1.0-0.1
- initial package
